Page MenuHomePhabricator

Decommission db2046.codfw.wmnet
Closed, ResolvedPublic

Description

This task will track the decommission-hardware of server db2046.codfw.wmnet

The first 5 steps should be completed by the service owner that is returning the server to DC-ops (for reclaim to spare or decommissioning, dependent on server configuration and age.)

db2046
Steps for service owner:

Steps for DC-Ops:

The following steps cannot be interrupted, as it will leave the system in an unfinished state.

Start non-interrupt steps:

  • - disable puppet on host
  • - power down host
  • - update netbox status to Inventory (if decom) or Planned (if spare)
  • - disable switch port
  • - switch port assignment noted on this task (for later removal)
  • - remove all remaining puppet references (include role::spare)
  • - remove production dns entries
  • - puppet node clean, puppet node deactivate (handled by wmf-decommission-host)
  • - remove dbmonitor entries on neodymium/sarin: sudo curl -X DELETE https://debmonitor.discovery.wmnet/hosts/${HOST_FQDN} --cert /etc/debmonitor/ssl/cert.pem --key /etc/debmonitor/ssl/server.key (handled by wmf-decommission-host)

End non-interrupt steps.

  • - Label disk #6 as broken so it doesn't get re-used
  • - Label disk #11 as broken so it doesn't get re-used
  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update racktables with result
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

Event Timeline

Marostegui triaged this task as Medium priority.Sep 2 2019, 4:56 AM
Marostegui created this task.
Marostegui moved this task from Triage to In progress on the DBA board.

Change 533777 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Decommission db2046

https://gerrit.wikimedia.org/r/533777

Change 533777 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Decommission db2046

https://gerrit.wikimedia.org/r/533777

Mentioned in SAL (#wikimedia-operations) [2019-09-02T05:01:54Z] <marostegui@deploy1001> Synchronized wmf-config/db-codfw.php: Remove db2046 from config T231767 (duration: 00m 55s)

Mentioned in SAL (#wikimedia-operations) [2019-09-02T05:02:58Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Remove db2046 from config T231767 (duration: 00m 53s)

Mentioned in SAL (#wikimedia-operations) [2019-09-06T05:11:32Z] <marostegui> Remove db2046 from tendril and zarcillo - T231767

Change 534725 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Decommission db2046

https://gerrit.wikimedia.org/r/534725

Change 534725 merged by Marostegui:
[operations/puppet@production] mariadb: Decommission db2046

https://gerrit.wikimedia.org/r/534725

Marostegui updated the task description. (Show Details)
Marostegui moved this task from Backlog to Ready for Decommission on the decommission-hardware board.

This host is ready for DC-Ops to decommission

cookbooks.sre.hosts.decommission executed by marostegui@cumin1001 for hosts: db2046.codfw.wmnet

  • db2046.codfw.wmnet (PASS)
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 538754 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Decommission db2046

https://gerrit.wikimedia.org/r/538754

Change 538755 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/dns@master] wmnet: Remove db2046 production entries

https://gerrit.wikimedia.org/r/538755

Change 538754 merged by Marostegui:
[operations/puppet@production] mariadb: Decommission db2046

https://gerrit.wikimedia.org/r/538754

Change 538755 merged by Marostegui:
[operations/dns@master] wmnet: Remove db2046 production entries

https://gerrit.wikimedia.org/r/538755

Marostegui removed a project: Patch-For-Review.
Marostegui updated the task description. (Show Details)

Host ready for @Papaul to decommission after running the decommission script.

papaul@asw-c-codfw# run show interfaces ge-6/0/15 descriptions    
Interface       Admin Link Description
ge-6/0/15       down  down DISABLED

Change 540230 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Remove mgmt DNS for db2041 db204[3-4] db204[6-7] and db2049

https://gerrit.wikimedia.org/r/540230

Change 540230 merged by Papaul:
[operations/dns@master] DNS: Remove mgmt DNS for db2041 db204[3-4] db204[6-7] and db2049

https://gerrit.wikimedia.org/r/540230

Papaul updated the task description. (Show Details)

Complete

DannyS712 added a subscriber: DannyS712.

[batch] remove patch for review tag from resolved tasks